# $Revision: 1.15 $, $Date: 2005/08/02 18:35:00 $
Summary:	User-space device-watching daemon that runs within the GNOME desktop
Summary(pl):	Demon ledzcy urzdzenia dziaajcy na pulpicie GNOME
Name:		magicdev
Version:	1.1.7
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/1.1/%{name}-%{version}.tar.bz2
# Source0-md5:	9b1973a9220465a2ea1a9ee77dc0035d
Patch0:		%{name}-default-dvd-player.patch
Patch1:		%{name}-locale-names.patch
Patch2:		%{name}-desktop.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.4.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	libgnomeui-devel >= 2.4.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.1-10
Requires(post):	GConf2
Requires:	gnome-mime-data
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
User-space device-watching daemon that runs within the GNOME desktop.
Some features include:
- Auto-mounting removeable media on insertion
- Launching a given command when an audio CD is inserted.

%description -l pl
Uruchamiany w przestrzeni uytkownika demon ledzcy urzdzenia
dziaajcy na pulpicie GNOME. Jego moliwoci obejmuj:
- automontowanie zmienialnych nonikw po woeniu
- uruchamianie podanego polecenia po woeniu pyty dwikowej CD.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv po/{no,nb}.po

%build
rm -f missing
%{__aclocal}
%{__libtoolize}
intltoolize --copy --force
glib-gettextize --copy --force
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

install -d $RPM_BUILD_ROOT%{_desktopdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/control-center-2.0/capplets/*.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_desktopdir}/gnome-cd-properties.desktop
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: magicdev.spec,v $
Revision 1.15  2005/08/02 18:35:00  havner
- up to 1.1.7
- moved desktop file

Revision 1.14  2004/11/07 12:33:07  paladine
- rel 5 for fixed desktop patch

Revision 1.13  2004/09/17 16:17:58  havner
- [mass commit] rel++ for s/Capplet/X-Capplet in sources

Revision 1.12  2004/09/16 21:46:48  havner
- rel 3 for updated desktop patch

Revision 1.11  2004/07/29 19:12:30  havner
- dekstop patch added
- rel 2

Revision 1.10  2004/02/25 16:24:31  grzegol
- updated to 1.1.6
- added locale-names patch (changes locale no -> nb)
- removed outdated blacklist patch

Revision 1.9  2004/01/07 20:42:13  grzegol
- updated to 1.1.5
- removed outdated pl patch

Revision 1.8  2003/12/20 15:50:30  krzak
- up to snap 20031220
- pl.patch - update Polish localisation

Revision 1.7  2003/11/22 15:52:08  krzak
- up to snap 20031122

Revision 1.6  2003/11/10 19:53:43  qboosh
- missing dir, BR: intltool

Revision 1.5  2003/11/09 02:18:40  krzak
- capplet moved to {_datadir}/gnome/capplets
- rel 2.

Revision 1.4  2003/10/12 19:03:24  qboosh
- pl, R(post): GConf2

Revision 1.3  2003/09/24 09:44:10  krzak
- blacklist.patch : disable some CD drives support that cause the problems

Revision 1.2  2003/09/22 01:23:23  krzak
- default-dvd-player.patch : set mplayer as default DVD player

Revision 1.1  2003/09/22 00:14:04  krzak
- initial release
